--- mariadb-10.6.16/sql/sql_class.h.orig
+++ mariadb-10.6.16/sql/sql_class.h
@@ -7554,7 +7554,7 @@
 inline int handler::ha_write_tmp_row(uchar *buf)
 {
   int error;
-  MYSQL_INSERT_ROW_START(table_share->db.str, table_share->table_name.str);
+  MYSQL_INSERT_ROW_START((char*)table_share->db.str, (char*)table_share->table_name.str);
   increment_statistics(&SSV::ha_tmp_write_count);
   TABLE_IO_WAIT(tracker, PSI_TABLE_WRITE_ROW, MAX_KEY, error,
           { error= write_row(buf); })
@@ -7565,7 +7565,7 @@
 inline int handler::ha_delete_tmp_row(uchar *buf)
 {
   int error;
-  MYSQL_DELETE_ROW_START(table_share->db.str, table_share->table_name.str);
+  MYSQL_DELETE_ROW_START((char*)table_share->db.str, (char*)table_share->table_name.str);
   increment_statistics(&SSV::ha_tmp_delete_count);
   TABLE_IO_WAIT(tracker, PSI_TABLE_DELETE_ROW, MAX_KEY, error,
                 { error= delete_row(buf); })
@@ -7576,7 +7576,7 @@
 inline int handler::ha_update_tmp_row(const uchar *old_data, uchar *new_data)
 {
   int error;
-  MYSQL_UPDATE_ROW_START(table_share->db.str, table_share->table_name.str);
+  MYSQL_UPDATE_ROW_START((char*)table_share->db.str, (char*)table_share->table_name.str);
   increment_statistics(&SSV::ha_tmp_update_count);
   TABLE_IO_WAIT(tracker, PSI_TABLE_UPDATE_ROW, active_index, error,
           { error= update_row(old_data, new_data);})
--- mariadb-10.6.16/sql/filesort.cc.orig
+++ mariadb-10.6.16/sql/filesort.cc
@@ -221,7 +221,7 @@
   SORT_INFO *sort;
   TABLE_LIST *tab= table->pos_in_table_list;
   Item_subselect *subselect= tab ? tab->containing_subselect() : 0;
-  MYSQL_FILESORT_START(table->s->db.str, table->s->table_name.str);
+  MYSQL_FILESORT_START((char*)table->s->db.str, (char*)table->s->table_name.str);
   DEBUG_SYNC(thd, "filesort_start");
 
   if (!(sort= new SORT_INFO))    // Note that this is not automatically freed!
--- mariadb-10.6.16/storage/csv/ha_tina.cc.orig
+++ mariadb-10.6.16/storage/csv/ha_tina.cc
@@ -1243,7 +1243,7 @@
 {
   int rc;
   DBUG_ENTER("ha_tina::rnd_next");
-  MYSQL_READ_ROW_START(table_share->db.str, table_share->table_name.str,
+  MYSQL_READ_ROW_START((char*)table_share->db.str, (char*)table_share->table_name.str,
                        TRUE);
 
   if (share->crashed)
@@ -1298,7 +1298,7 @@
 {
   int rc;
   DBUG_ENTER("ha_tina::rnd_pos");
-  MYSQL_READ_ROW_START(table_share->db.str, table_share->table_name.str,
+  MYSQL_READ_ROW_START((char*)table_share->db.str, (char*)table_share->table_name.str,
                        FALSE);
   current_position= my_get_ptr(pos,ref_length);
   rc= find_current_row(buf);
--- mariadb-10.6.16/sql/handler.cc.orig
+++ mariadb-10.6.16/sql/handler.cc
@@ -7120,18 +7120,18 @@
   {
     if (lock_type == F_RDLCK)
     {
-      MYSQL_HANDLER_RDLOCK_START(table_share->db.str,
-                                 table_share->table_name.str);
+      MYSQL_HANDLER_RDLOCK_START((char*)table_share->db.str,
+                                 (char*)table_share->table_name.str);
     }
     else if (lock_type == F_WRLCK)
     {
-      MYSQL_HANDLER_WRLOCK_START(table_share->db.str,
-                                 table_share->table_name.str);
+      MYSQL_HANDLER_WRLOCK_START((char*)table_share->db.str,
+                                 (char*)table_share->table_name.str);
     }
     else if (lock_type == F_UNLCK)
     {
-      MYSQL_HANDLER_UNLOCK_START(table_share->db.str,
-                                 table_share->table_name.str);
+      MYSQL_HANDLER_UNLOCK_START((char*)table_share->db.str,
+                                 (char*)table_share->table_name.str);
     }
   }
 
@@ -7642,7 +7642,7 @@
       DBUG_RETURN(error);
   }
 
-  MYSQL_INSERT_ROW_START(table_share->db.str, table_share->table_name.str);
+  MYSQL_INSERT_ROW_START((char*)table_share->db.str, (char*)table_share->table_name.str);
   mark_trx_read_write();
   increment_statistics(&SSV::ha_write_count);
 
@@ -7702,7 +7702,7 @@
   if (error)
     return error;
 
-  MYSQL_UPDATE_ROW_START(table_share->db.str, table_share->table_name.str);
+  MYSQL_UPDATE_ROW_START((char*)table_share->db.str, (char*)table_share->table_name.str);
   mark_trx_read_write();
   increment_statistics(&SSV::ha_update_count);
 
@@ -7781,7 +7781,7 @@
   DBUG_ASSERT(buf == table->record[0] ||
               buf == table->record[1]);
 
-  MYSQL_DELETE_ROW_START(table_share->db.str, table_share->table_name.str);
+  MYSQL_DELETE_ROW_START((char*)table_share->db.str, (char*)table_share->table_name.str);
   mark_trx_read_write();
   increment_statistics(&SSV::ha_delete_count);
 
@@ -7838,7 +7838,8 @@
 int handler::ha_direct_update_rows(ha_rows *update_rows, ha_rows *found_rows)
 {
   int error;
-  MYSQL_UPDATE_ROW_START(table_share->db.str, table_share->table_name.str);
+ 
+  MYSQL_UPDATE_ROW_START((char*)table_share->db.str, (char*)table_share->table_name.str);
   mark_trx_read_write();
 
   error= direct_update_rows(update_rows, found_rows);
@@ -7865,7 +7866,7 @@
   /* Ensure we are not using binlog row */
   DBUG_ASSERT(!table->in_use->is_current_stmt_binlog_format_row());
 
-  MYSQL_DELETE_ROW_START(table_share->db.str, table_share->table_name.str);
+  MYSQL_DELETE_ROW_START((char*)table_share->db.str, (char*)table_share->table_name.str);
   mark_trx_read_write();
 
   error = direct_delete_rows(delete_rows);
--- mariadb-10.6.16/sql/sp_head.cc.orig
+++ mariadb-10.6.16/sql/sp_head.cc
@@ -3836,7 +3836,7 @@
 {
   MYSQL_QUERY_EXEC_START(thd->query(),
                          thd->thread_id,
-                         thd->get_db(),
+                         (char*)thd->get_db(),
                          &thd->security_ctx->priv_user[0],
                          (char *)thd->security_ctx->host_or_ip,
                          3);
--- mariadb-10.6.16/sql/sql_cursor.cc.orig
+++ mariadb-10.6.16/sql/sql_cursor.cc
@@ -125,7 +125,7 @@
 
   MYSQL_QUERY_EXEC_START(thd->query(),
                          thd->thread_id,
-                         thd->get_db(),
+                         (char*)thd->get_db(),
                          &thd->security_ctx->priv_user[0],
                          (char *) thd->security_ctx->host_or_ip,
                          2);
--- mariadb-10.6.16/sql/sql_parse.cc.orig
+++ mariadb-10.6.16/sql/sql_parse.cc
@@ -1861,7 +1861,7 @@
     if (unlikely(alloc_query(thd, packet, packet_length)))
       break;					// fatal error is set
     MYSQL_QUERY_START(thd->query(), thd->thread_id,
-                      thd->get_db(),
+                      (char*)thd->get_db(),
                       &thd->security_ctx->priv_user[0],
                       (char *) thd->security_ctx->host_or_ip);
     char *packet_end= thd->query() + thd->query_length();
@@ -1947,7 +1947,7 @@
 
       /* DTRACE begin */
       MYSQL_QUERY_START(beginning_of_next_stmt, thd->thread_id,
-                        thd->get_db(),
+                        (char*)thd->get_db(),
                         &thd->security_ctx->priv_user[0],
                         (char *) thd->security_ctx->host_or_ip);
 
@@ -7835,7 +7835,7 @@
 
   /* DTRACE begin */
   MYSQL_QUERY_START(rawbuf, thd->thread_id,
-                    thd->get_db(),
+                    (char *) thd->get_db(),
                     &thd->security_ctx->priv_user[0],
                     (char *) thd->security_ctx->host_or_ip);
 
@@ -8042,7 +8042,7 @@
           lex->set_trg_event_type_for_tables();
           MYSQL_QUERY_EXEC_START(thd->query(),
                                  thd->thread_id,
-                                 thd->get_db(),
+                                 (char*)thd->get_db(),
                                  &thd->security_ctx->priv_user[0],
                                  (char *) thd->security_ctx->host_or_ip,
                                  0);
--- mariadb-10.6.16/sql/sql_prepare.cc.orig
+++ mariadb-10.6.16/sql/sql_prepare.cc
@@ -5243,7 +5243,7 @@
     if (query_cache_send_result_to_client(thd, thd->query(),
                                           thd->query_length()) <= 0)
     {
-      MYSQL_QUERY_EXEC_START(thd->query(), thd->thread_id, thd->get_db(),
+      MYSQL_QUERY_EXEC_START(thd->query(), thd->thread_id, (char *)thd->get_db(),
                              &thd->security_ctx->priv_user[0],
                              (char *) thd->security_ctx->host_or_ip, 1);
       error= mysql_execute_command(thd, true);
